#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct HistoryPageSizeTooLarge {
    #[serde(rename = "pageSize")]
    page_size: i32,
}
impl HistoryPageSizeTooLarge {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(page_size: i32) -> Self {
        Self::builder().page_size(page_size).build()
    }
    #[inline]
    pub fn page_size(&self) -> i32 {
        self.page_size
    }
}
impl conjure_error::ErrorType for HistoryPageSizeTooLarge {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Scout:HistoryPageSizeTooLarge"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["pageSize"]
    }
}
